A new user interface for you! Read more...

Julia

http://julialang.org/

Julia is a high-level, high-performance dynamic programming language for technical computing, with syntax that is familiar to users of other technical computing environments. It provides a sophisticated compiler, distributed parallel execution, numerical accuracy, and an extensive mathematical function library. The library, largely written in Julia itself, also integrates mature, best-of-breed C and Fortran libraries for linear algebra, random number generation, signal processing, and string processing.

Refresh
Refresh
Source Files (show merged sources derived from linked package)
Filename Size Changed Actions
Pkg-853b3f1fd9895db32b402d89e9dee153b66b2316.tar.gz 0001689058 1.61 MB 4 months
_constraints 0000000462 462 Bytes almost 3 years
julia-1.1.0.tar.gz 0007681396 7.33 MB 4 months
julia-compat.changes 0000017808 17.4 KB 4 months
julia-compat.spec 0000011351 11.1 KB 4 months
julia-env-script-interpreter.patch 0000000730 730 Bytes 12 months
julia.changes 0000017808 17.4 KB 4 months
julia.spec 0000011352 11.1 KB about 2 months
juliabuildopts 0000000740 740 Bytes 12 months
libuv-2348256acf5759a544e5ca7935f638d2bc091d60.tar.gz 0001555710 1.48 MB 4 months
libwhich-81e9723c0273d78493dc8c8ed570f68d9ce7e89e.tar.gz 0000004183 4.08 KB 12 months
llvm-6.0.1.src.tar.xz 0025306628 24.1 MB 4 months
pre_checkin.sh 0000000162 162 Bytes almost 3 years
utf8proc-97ef668b312b96382714dbb8eaac4affce0816e6.tar.gz 0000156361 153 KB 12 months
Comments for julia 4

John Vandenberg

jayvdb wrote almost 2 years ago

The Leap packages will build by adding a few dependencies. See https://build.opensuse.org/project/show/home:jayvdb:julia06


Ronan Chagas

Ronis_BR wrote almost 2 years ago

Hi!

Sorry for the delay to answer you. The problem is that some of those packages cannot be updated in Leap, that's why we have to stick with Julia 0.4. However, you can try to submit them to science repo, so that at least we can have an unofficial build of Julia 0.6 for Leap.


Andreas Stieger

AndreasStieger wrote over 1 year ago

It is normally up to the devel repo maintainers to link/aggregate the dependencies in the devel repository, in this case for < 15.


Repo Checker

repo-checker wrote almost 2 years ago

The version of this package in openSUSE:Factory has installation issues and may not be installable:

can't install julia-0.5.1-2.7.i586:
  nothing provides libgit2-25 needed by julia-0.5.1-2.7.i586

can't install julia-0.5.1-2.7.x86_64:
  nothing provides libgit2-25 needed by julia-0.5.1-2.7.x86_64

can't install julia-debug-0.5.1-2.7.i586:
  package julia-debug-0.5.1-2.7.i586 requires julia = 0.5.1, but none of the providers can be installed
  nothing provides libgit2-25 needed by julia-0.5.1-2.7.i586

can't install julia-debug-0.5.1-2.7.x86_64:
  package julia-debug-0.5.1-2.7.x86_64 requires julia = 0.5.1, but none of the providers can be installed
  nothing provides libgit2-25 needed by julia-compat-0.5.1-2.7.x86_64
  nothing provides libgit2-25 needed by julia-0.5.1-2.7.x86_64

can't install julia-devel-0.5.1-2.7.i586:
  package julia-devel-0.5.1-2.7.i586 requires julia = 0.5.1, but none of the providers can be installed
  nothing provides libgit2-25 needed by julia-0.5.1-2.7.i586

can't install julia-devel-0.5.1-2.7.x86_64:
  package julia-devel-0.5.1-2.7.x86_64 requires julia = 0.5.1, but none of the providers can be installed
  nothing provides libgit2-25 needed by julia-compat-0.5.1-2.7.x86_64
  nothing provides libgit2-25 needed by julia-0.5.1-2.7.x86_64